> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order Item Information

> Retrieves the information for a specific order item



## OpenAPI

````yaml /openapi/openapi_inventory.json post /commerce/inventory/v5/inventory/getOrderItemInformation
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v5/inventory/getOrderItemInformation:
    post:
      tags:
        - InventoryOrderItem
      summary: Get Order Item Information
      description: Retrieves the information for a specific order item
      parameters: []
      requestBody:
        $ref: '#/components/requestBodies/OrderItemInformationRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/OrderItemInformation'
                type: array
          description: Success
        '400':
          description: Bad Request
components:
  requestBodies:
    OrderItemInformationRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/OrderItemInformationRequest'
      description: Request to retrieve order item information
      required: true
  schemas:
    OrderItemInformation:
      description: Order Item Information
      properties:
        allocated:
          description: The quantity the location has that are allocated
          type: integer
        allocates:
          description: Total number of allocations
          type: integer
        available:
          description: The quantity the location has that are available for purchase
          type: integer
        binID:
          description: Bin Identifier
          type: integer
        deallocates:
          description: Total number of deallocations
          type: integer
        events:
          description: Order Identifier
          items:
            $ref: '#/components/schemas/OrderItemInformationEvent'
          type: array
        floor:
          description: >-
            Absolute minimum quantity of this item that should be in stock at
            any time
          type: integer
        fulfills:
          description: Total number of fulfillments. Should never be greater than 1.
          type: integer
        locationActive:
          description: Flag for whether the location is active
          type: boolean
        locationCode:
          description: External Store Identifier
          type: integer
        locationID:
          description: Location Identifier
          type: integer
        locationName:
          description: Location Name
          type: string
        ltd:
          description: Custom field used for store prioritization
          type: string
        messages:
          description: List of messages
          items:
            type: string
          type: array
        numResults:
          description: Number of results
          type: integer
        onHand:
          description: The quantity the location has in its possession
          type: integer
        orderID:
          description: Order Identifier
          type: integer
        orderItemID:
          description: Order Item Identifier
          type: integer
        partNumber:
          description: Part/Product Number
          type: string
        pendingQuantity:
          description: Pending quantity (WMS only)
          type: integer
        picks:
          description: Total number of picks (WMS only)
          type: integer
        safetyStock:
          description: >-
            Quantity of this item the location wants to keep in stock to ensure
            stock isn't completely depleted
          type: integer
        sku:
          description: Stock Keeping Unit
          type: string
        success:
          description: Flag for success
          type: boolean
        upc:
          description: Universal Product Code
          type: string
      title: Order Item Information
      type: object
    OrderItemInformationRequest:
      description: Request for getting order item information
      properties:
        items:
          description: List of Items to search on
          items:
            $ref: '#/components/schemas/InventoryItem'
          type: array
        locationCode:
          description: Location Code
          title: location code
          type: string
        orderID:
          description: Order Identifier
          type: integer
        pageNum:
          description: which page to show
          type: integer
        pageSize:
          description: how many results to show per page
          type: integer
        sortBy:
          description: index to sort results by
          type: string
        userID:
          description: user id
          type: integer
      title: Order Item Information Request
      type: object
    OrderItemInformationEvent:
      description: Order Item Information Event
      properties:
        date:
          description: Date of the event
          type: string
        eventType:
          description: Type of event
          enum:
            - ALLOCATED
            - DEALLOCATED
            - FULFILLED
            - PICKED
            - DEALLOCATE_FULFILL
          type: string
        messages:
          description: List of messages
          items:
            type: string
          type: array
        numResults:
          description: Number of results
          type: integer
        quantity:
          description: Quantity
          type: integer
        success:
          description: Flag for success
          type: boolean
      title: Order Item Information Event
      type: object
    InventoryItem:
      description: Item
      properties:
        condition:
          type: string
        date:
          format: date-time
          type: string
        lotCode:
          type: string
        partNumber:
          description: Part/Product Number
          type: string
        serialNumber:
          type: string
        sku:
          description: Stock Keeping Unit
          type: string
        tags:
          $ref: '#/components/schemas/tags'
        upc:
          description: Universal Product Code
          type: string
      title: Item
      type: object
    tags:
      additionalProperties:
        type: string
      description: Associative Map of <String, String> for tagCategoryName => tagName
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````